Subject: Support of Multiplexed Public Data Network Interfaces

From: "jim (j.) cobban" <[email-masked]>
Date: Mon, 7 Mar 1994 12:09:00 +0000

The current APPN architecture does not address explicitly connectivity
through multiplexed public data network interfaces such as X.25, ISDN, or
Frame-Relay.  It appears that in any implementation I am forced to emulate
such an interfaces as either an arbitrarily large number of SDLC serial links
or as a Token-Ring interface.  Both choices are sub-optimal.

If I emulate a large number of SDLC interfaces I have the following problems:

  1) I must generate an arbitrarily large number of virtual ports.  These are
     all visible to the network operator, and when a problem is reported
     against one of them the operator must know the magic formula for
     identifying the real physical interface that is having the problem.
  2) The DLC must do a lot of analysis to avoid some call collision problems
     associated with support of LEN nodes.  LEN nodes do not support parallel
     TGs so somebody (and it isn't CS) has to jump through hoops to detect
     that an incoming call from the PDN actually satisfies an outstanding
     CONNECT_OUT.  This is not possible if there is a configuration problem
     with the CONNECT_OUT such as bad destination link address.
  3) You can't build a connection network.

On the other hand if I emulate a Token-Ring interface I have another set of
problems:

  1) Link stations are identified by destination link address, rather than
     by the identification fields in the XID.  
  2) If you fail to define a link station on the SATF with the destination
     link address of a particular device then that link station becomes a
     limited resource and you will never get a CP-CP session up!

I therefore conclude that the architecture needs to specifically address
multiplexed PDN interfaces.  The requirements are:

  1) One Port component for each physical port.
  2) Link stations are optionally identified by XID or CP name. [SC30-3409-1
     page 9-3 does suggest security identification by calling address, but
     VTAM, for one, uses XID or CP name]
  3) Connection networks supported architecturally.  This requires
     implementation agreements on the format of a "link address" among other
     things.